<?php
class UpdateTranslations
{
    public function __construct()
    {
        add_action('wp_ajax_updateTranslations', array($this, 'updateTranslations'));
        add_action('wp_ajax_nopriv_updateTranslations', array($this, 'updateTranslations'));
    }

    public function updateTranslations()
    {
        $content = array('code'=>'200', 'status'=>'success', 'message'=>"translations are updating now");
        ob_start();
        echo json_encode($content, JSON_PRETTY_PRINT);
        header('Connection: close');
        header('Content-Type: application/json');
        header('Content-Length: '.ob_get_length());
        ob_end_flush();
        ob_flush();
        flush(); // releasing the browser from waiting

        Translation::createTranslationFiles();
        exit;
    }
}

$updateTranslations = new UpdateTranslations();
?>