<?php

class Mspecs_Model_Slot extends Mspecs_Model
{
	public function getStartTime($format = 'H:i')
    {
		date_default_timezone_set('Europe/Stockholm');
		setlocale(LC_TIME, "sv_SE.UTF-8");
        if ($date = $this->getData('startTime')) {
			$h = date('H', strtotime($date));
			$m = date('i', strtotime($date));
			if($h==0 && $m==0) {
				return null;
			}
            return date($format, strtotime($date));
        }
        return null;
    }

	public function getIsFullyBooked($slotStatus) {
		return $slotStatus
			&& isset($slotStatus[$this->getId()])
			&& !$slotStatus[$this->getId()];
	}
}